Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_1-rename_unit_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_1-rename_unit_1.cfg	(revision 142)
+++ 	(revision )
@@ -1,15 +1,0 @@
-OOO_Engine_Glue
-1	1	*2	# nb_front_end                    
-1	1	*2	# nb_context                      [0] [nb_front_end]
-1	1	*2	# nb_rename_unit                     
-4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
-4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
-4	4	*2	# nb_inst_retire                  [0] [nb_rename_unit]
-32	32	*2	# size_general_data                  
-2	2	*2	# size_special_data                  
-0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
-2	2	*2	# size_packet_id                    
-8	8	*2	# size_general_register             
-4	4	*2	# size_special_register             
-4	4	*2	# size_store_queue_ptr              
-4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_1-rename_unit_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_1-rename_unit_4.cfg	(revision 142)
+++ 	(revision )
@@ -1,21 +1,0 @@
-OOO_Engine_Glue
-1	1	*2	# nb_front_end                    
-1	1	*2	# nb_context                      [0] [nb_front_end]
-4	4	*2	# nb_rename_unit                     
-4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
-4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
-2	2	*2	# nb_inst_insert                  [1] [nb_rename_unit]
-1	1	*2	# nb_inst_insert                  [2] [nb_rename_unit]
-4	4	*2	# nb_inst_insert                  [3] [nb_rename_unit]
-1	1	*2	# nb_inst_retire                  [0] [nb_rename_unit]
-8	8	*2	# nb_inst_retire                  [1] [nb_rename_unit]
-2	2	*2	# nb_inst_retire                  [2] [nb_rename_unit]
-4	4	*2	# nb_inst_retire                  [3] [nb_rename_unit]
-32	32	*2	# size_general_data                  
-2	2	*2	# size_special_data                  
-0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
-2	2	*2	# size_packet_id                    
-8	8	*2	# size_general_register             
-4	4	*2	# size_special_register             
-4	4	*2	# size_store_queue_ptr              
-4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_4-rename_unit_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_4-rename_unit_1.cfg	(revision 142)
+++ 	(revision )
@@ -1,24 +1,0 @@
-OOO_Engine_Glue
-4	4	*2	# nb_front_end                    
-4	4	*2	# nb_context                      [0] [nb_front_end]
-1	1	*2	# nb_context                      [1] [nb_front_end]
-2	2	*2	# nb_context                      [2] [nb_front_end]
-8	8	*2	# nb_context                      [3] [nb_front_end]
-1	1	*2	# nb_rename_unit                     
-4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
-2	2	*2	# nb_inst_decod                   [1] [nb_front_end]
-1	1	*2	# nb_inst_decod                   [2] [nb_front_end]
-4	4	*2	# nb_inst_decod                   [3] [nb_front_end]
-4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
-4	4	*2	# nb_inst_retire                  [0] [nb_rename_unit]
-32	32	*2	# size_general_data                  
-2	2	*2	# size_special_data                  
-0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
-0	0	*2	# link_rename_unit_with_front_end [1] [nb_front_end]
-0	0	*2	# link_rename_unit_with_front_end [2] [nb_front_end]
-0	0	*2	# link_rename_unit_with_front_end [3] [nb_front_end]
-2	2	*2	# size_packet_id                    
-8	8	*2	# size_general_register             
-4	4	*2	# size_special_register             
-4	4	*2	# size_store_queue_ptr              
-4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_4-rename_unit_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-front_end_4-rename_unit_4.cfg	(revision 142)
+++ 	(revision )
@@ -1,30 +1,0 @@
-OOO_Engine_Glue
-4	4	*2	# nb_front_end                    
-4	4	*2	# nb_context                      [0] [nb_front_end]
-1	1	*2	# nb_context                      [1] [nb_front_end]
-2	2	*2	# nb_context                      [2] [nb_front_end]
-8	8	*2	# nb_context                      [3] [nb_front_end]
-4	4	*2	# nb_rename_unit                     
-4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
-2	2	*2	# nb_inst_decod                   [1] [nb_front_end]
-1	1	*2	# nb_inst_decod                   [2] [nb_front_end]
-4	4	*2	# nb_inst_decod                   [3] [nb_front_end]
-4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
-2	2	*2	# nb_inst_insert                  [1] [nb_rename_unit]
-1	1	*2	# nb_inst_insert                  [2] [nb_rename_unit]
-4	4	*2	# nb_inst_insert                  [3] [nb_rename_unit]
-1	1	*2	# nb_inst_retire                  [0] [nb_rename_unit]
-8	8	*2	# nb_inst_retire                  [1] [nb_rename_unit]
-2	2	*2	# nb_inst_retire                  [2] [nb_rename_unit]
-4	4	*2	# nb_inst_retire                  [3] [nb_rename_unit]
-32	32	*2	# size_general_data                  
-2	2	*2	# size_special_data                  
-0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
-3	3	*2	# link_rename_unit_with_front_end [1] [nb_front_end]
-1	1	*2	# link_rename_unit_with_front_end [2] [nb_front_end]
-2	2	*2	# link_rename_unit_with_front_end [3] [nb_front_end]
-2	2	*2	# size_packet_id                    
-8	8	*2	# size_general_register             
-4	4	*2	# size_special_register             
-4	4	*2	# size_store_queue_ptr              
-4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-min.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/config-min.cfg	(revision 142)
+++ 	(revision )
@@ -1,15 +1,0 @@
-OOO_Engine_Glue
-1	1	*2	# nb_front_end                    
-1	1	*2	# nb_context                      [0] [nb_front_end]
-1	1	*2	# nb_rename_unit                     
-1	1	*2	# nb_inst_decod                   [0] [nb_front_end]
-1	1	*2	# nb_inst_insert                  [0] [nb_rename_unit]
-1	1	*2	# nb_inst_retire                  [0] [nb_rename_unit]
-32	32	*2	# size_general_data                  
-2	2	*2	# size_special_data                  
-0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
-0	0	*2	# size_packet_id                    
-6	6	*2	# size_general_register             
-2	2	*2	# size_special_register             
-1	1	*2	# size_store_queue_ptr              
-0	0	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_1-rename_unit_1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_1-rename_unit_1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_1-rename_unit_1.gen	(revision 145)
@@ -0,0 +1,15 @@
+OOO_Engine_Glue
+1	1	*2	# nb_front_end                    
+1	1	*2	# nb_context                      [0] [nb_front_end]
+1	1	*2	# nb_rename_unit                     
+4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
+4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
+4	4	*2	# nb_inst_retire                  [0] [nb_rename_unit]
+32	32	*2	# size_general_data                  
+2	2	*2	# size_special_data                  
+0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
+2	2	*2	# size_packet_id                    
+8	8	*2	# size_general_register             
+4	4	*2	# size_special_register             
+4	4	*2	# size_store_queue_ptr              
+4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_1-rename_unit_4.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_1-rename_unit_4.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_1-rename_unit_4.gen	(revision 145)
@@ -0,0 +1,21 @@
+OOO_Engine_Glue
+1	1	*2	# nb_front_end                    
+1	1	*2	# nb_context                      [0] [nb_front_end]
+4	4	*2	# nb_rename_unit                     
+4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
+4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
+2	2	*2	# nb_inst_insert                  [1] [nb_rename_unit]
+1	1	*2	# nb_inst_insert                  [2] [nb_rename_unit]
+4	4	*2	# nb_inst_insert                  [3] [nb_rename_unit]
+1	1	*2	# nb_inst_retire                  [0] [nb_rename_unit]
+8	8	*2	# nb_inst_retire                  [1] [nb_rename_unit]
+2	2	*2	# nb_inst_retire                  [2] [nb_rename_unit]
+4	4	*2	# nb_inst_retire                  [3] [nb_rename_unit]
+32	32	*2	# size_general_data                  
+2	2	*2	# size_special_data                  
+0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
+2	2	*2	# size_packet_id                    
+8	8	*2	# size_general_register             
+4	4	*2	# size_special_register             
+4	4	*2	# size_store_queue_ptr              
+4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_4-rename_unit_1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_4-rename_unit_1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_4-rename_unit_1.gen	(revision 145)
@@ -0,0 +1,24 @@
+OOO_Engine_Glue
+4	4	*2	# nb_front_end                    
+4	4	*2	# nb_context                      [0] [nb_front_end]
+1	1	*2	# nb_context                      [1] [nb_front_end]
+2	2	*2	# nb_context                      [2] [nb_front_end]
+8	8	*2	# nb_context                      [3] [nb_front_end]
+1	1	*2	# nb_rename_unit                     
+4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
+2	2	*2	# nb_inst_decod                   [1] [nb_front_end]
+1	1	*2	# nb_inst_decod                   [2] [nb_front_end]
+4	4	*2	# nb_inst_decod                   [3] [nb_front_end]
+4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
+4	4	*2	# nb_inst_retire                  [0] [nb_rename_unit]
+32	32	*2	# size_general_data                  
+2	2	*2	# size_special_data                  
+0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
+0	0	*2	# link_rename_unit_with_front_end [1] [nb_front_end]
+0	0	*2	# link_rename_unit_with_front_end [2] [nb_front_end]
+0	0	*2	# link_rename_unit_with_front_end [3] [nb_front_end]
+2	2	*2	# size_packet_id                    
+8	8	*2	# size_general_register             
+4	4	*2	# size_special_register             
+4	4	*2	# size_store_queue_ptr              
+4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_4-rename_unit_4.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_4-rename_unit_4.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-front_end_4-rename_unit_4.gen	(revision 145)
@@ -0,0 +1,30 @@
+OOO_Engine_Glue
+4	4	*2	# nb_front_end                    
+4	4	*2	# nb_context                      [0] [nb_front_end]
+1	1	*2	# nb_context                      [1] [nb_front_end]
+2	2	*2	# nb_context                      [2] [nb_front_end]
+8	8	*2	# nb_context                      [3] [nb_front_end]
+4	4	*2	# nb_rename_unit                     
+4	4	*2	# nb_inst_decod                   [0] [nb_front_end]
+2	2	*2	# nb_inst_decod                   [1] [nb_front_end]
+1	1	*2	# nb_inst_decod                   [2] [nb_front_end]
+4	4	*2	# nb_inst_decod                   [3] [nb_front_end]
+4	4	*2	# nb_inst_insert                  [0] [nb_rename_unit]
+2	2	*2	# nb_inst_insert                  [1] [nb_rename_unit]
+1	1	*2	# nb_inst_insert                  [2] [nb_rename_unit]
+4	4	*2	# nb_inst_insert                  [3] [nb_rename_unit]
+1	1	*2	# nb_inst_retire                  [0] [nb_rename_unit]
+8	8	*2	# nb_inst_retire                  [1] [nb_rename_unit]
+2	2	*2	# nb_inst_retire                  [2] [nb_rename_unit]
+4	4	*2	# nb_inst_retire                  [3] [nb_rename_unit]
+32	32	*2	# size_general_data                  
+2	2	*2	# size_special_data                  
+0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
+3	3	*2	# link_rename_unit_with_front_end [1] [nb_front_end]
+1	1	*2	# link_rename_unit_with_front_end [2] [nb_front_end]
+2	2	*2	# link_rename_unit_with_front_end [3] [nb_front_end]
+2	2	*2	# size_packet_id                    
+8	8	*2	# size_general_register             
+4	4	*2	# size_special_register             
+4	4	*2	# size_store_queue_ptr              
+4	4	*2	# size_load_queue_ptr               
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/SelfTest/configuration/config-min.gen	(revision 145)
@@ -0,0 +1,15 @@
+OOO_Engine_Glue
+1	1	*2	# nb_front_end                    
+1	1	*2	# nb_context                      [0] [nb_front_end]
+1	1	*2	# nb_rename_unit                     
+1	1	*2	# nb_inst_decod                   [0] [nb_front_end]
+1	1	*2	# nb_inst_insert                  [0] [nb_rename_unit]
+1	1	*2	# nb_inst_retire                  [0] [nb_rename_unit]
+32	32	*2	# size_general_data                  
+2	2	*2	# size_special_data                  
+0	0	*2	# link_rename_unit_with_front_end [0] [nb_front_end]
+0	0	*2	# size_packet_id                    
+6	6	*2	# size_general_register             
+2	2	*2	# size_special_register             
+1	1	*2	# size_store_queue_ptr              
+0	0	*2	# size_load_queue_ptr               
